{% extends 'base_navbar.html' %}
{% load static widget_tweaks icon %}

{% block title %}
    Passation
{% endblock %}

{% block navbar_passation %}
    active
{% endblock %}

{% block head_css %}
    <link href="{% static 'passation/css/passation.css' %}"
          rel="stylesheet" media="screen">
{% endblock %}

{% block content %}
    <header>
        <h1>Passation</h1>
        <div class="header-content">
            <p>
                C'est la fin de l'année? Vous venez d'élire un nouveau bureau? L'interface de passation est faite
                pour vous! <b>Effectuez les opérations dans la partie "Fin d'année administrative" dans l'ordre.</b>
                Pour plus d'informations sur la passation, <a href="https://youtu.be/bpEmjxobvbY" target="_blank">clickez
                ici</a>.
            </p>
            <strong style="color: red">
                Attention! Les modifications sur la base de données sont destructives!!! Une fois supprimées, on ne peut
                pas récupérer les données!
            </strong>
        </div>
    </header>

    <div class="container-fluid">
        <form method="post">
            {% csrf_token %}

            {{ formset.management_form }}

            <h2 class="title">Membres du CA</h2>

            {% for form in formset %}
                {% if form.errors %}
                    {% for field in form %}
                        {% for error in field.errors %}
                            <div class="alert alert-danger">
                                <strong>{{ error|escape }}</strong>
                            </div>
                        {% endfor %}
                    {% endfor %}
                {% endif %}
            {% endfor %}

            {% if formset.non_form_errors %}
                {% for error in formset.non_form_errors %}
                    <div class="alert alert-danger">
                        <strong>{{ error|escape }}</strong>
                    </div>
                {% endfor %}
            {% endif %}

            {% for form in formset %}
                <div class="form-inline form-row">
                    <div class="input-group mr-sm-6">
                        <div class="input-group-prepend">
                            <span class="input-group-text">Statut</span>
                        </div>
                        {% render_field form.statut class="form-control" %}
                    </div>
                    <div class="input-group mr-sm-6">
                        <div class="input-group-prepend">
                            <span class="input-group-text">Membre</span>
                        </div>
                        {% render_field form.membre class="form-control" %}
                    </div>

                    {% render_field form.id class="hidden" %}

                    <div class="input-group-append">
                        <button class="btn btn-danger remove-form-row"><i class="fas fa-minus"></i></button>
                    </div>
                </div>
            {% endfor %}

            <div class="row">
                <div class="form-group col-md-4">
                    <button type="button" class="btn btn-success form-control add-form-row"><i class="fas fa-plus-circle"></i>
                        Ajouter une ligne
                    </button>
                </div>
                <div class="form-group col-md-4">
                    <input type="button" class="btn btn-outline-dark form-control"
                           onclick="send_form('{% url 'passation' modifier=True %}')"
                           value="Modifier la composition du CA"/>
                </div>
                <div class="form-group col-md-4">
                    <input type="button" class="btn btn-outline-dark form-control"
                           onclick="send_form('{% url 'passation' %}')"
                           value="Créer un nouveau CA"/>
                </div>
            </div>
        </form>

        <hr>

        <h2 class="title">Fin d'année administrative</h2>

        {% for action in passation_actions %}
            <a class="btn btn-block {{ action.btn_class }}" type="button" href="{{ action.url }}"
               {% if action.confirm == True %}
                   data-toggle="confirmation"
                   data-btn-ok-label="Oui"
                   data-btn-cancel-label="Non" data-btn-cancel-class="btn-danger"
                   data-title="Êtes vous certains?"
               {% endif %}
            >
                {% if action.fa_icon %}<i class="{{ action.fa_icon }}"></i> {% endif %}{{ action.verbose_name }}
            </a>
        {% endfor %}
    </div>
{% endblock %}


{% block footer_javascript %}
    <script src="{% static 'js/dynamic_forms.js' %}?v=1"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap-confirmation2@4.0.0/dist/bootstrap-confirmation.min.js"></script>
    <script src="{% static 'passation/js/passation.js' %}?v=1"></script>
{% endblock %}
